I targeted Symbian 3 and S60 5th series phones with my new game. Today it got published but it's available only for Symbian 3 devices. It failed S60 devices and the reason was:

SUMMARY: Error message "Certificate error. Contact the application supplier." pops up at installation.

I can't figure out what did I do wrong? Any Ideas?

P.S. I used certificate and key dating 12-31-2010